Bug 849088 - [RFE] possibility to import beakerlib-journalling in python
[RFE] possibility to import beakerlib-journalling in python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Muller
Fedora Extras Quality Assurance
:
Depends On: 729639
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 05:23 EDT by Martin Kudlej
Modified: 2016-09-19 22:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: beakerlib-1.7-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 729639
Environment:
Last Closed: 2013-05-21 23:14:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2012-08-17 05:23:40 EDT
+++ This bug was initially created as a clone of Bug #729639 +++

Created attachment 517594 [details]
proposal

Description of problem:
Now it is not possible to import beakerlib-journalling in python and it can be used only directly by running it as program with parameters. There is a proposal of modified version in attachment which can be used for import in other python programs. Also name should be changed into beakerlib-journalling.py

Version-Release number of selected component (if applicable):
beakerlib-1.3-5

--- Additional comment from endoflife@fedoraproject.org on 2012-08-16 11:06:55 EDT ---

This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Petr Muller 2013-03-05 12:48:43 EST
I've adapted the thing for how the journal currently looks like and pushed it out.

http://git.fedorahosted.org/cgit/beakerlib.git/commit/?id=315a6dc34316085049738197226bb99b3cdc0c25
Comment 2 Fedora Update System 2013-04-30 11:10:32 EDT
beakerlib-1.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/beakerlib-1.7-1.fc19
Comment 3 Fedora Update System 2013-04-30 16:04:13 EDT
Package beakerlib-1.7-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing beakerlib-1.7-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7067/beakerlib-1.7-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-05-21 23:14:09 EDT
beakerlib-1.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.